<!DOCTYPE html>
<html lang="zh-tw">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>新增信用卡</title>

  <!-- 引入Bootstrap 5.0 CDN -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>

  <!-- jQuery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body class="bg-light">
  <!-- 頂端工具列 -->
  <div id="header"></div>
  <div class="container vh-100">
    <!-- 預留頂端工具列下空間 -->
    <div style="height: 56px;"></div>
    <div class="mt-5 mx-auto" style="max-width: 700px;">
      <h1>新增信用卡</h1>
      <form class="mt-4">
        <div class="mb-3">
          <label for="bankId" class="px-2 form-label">銀行行號<span style="color: red;">*</span></label>
          <input type="text" class="form-control" id="bankId" name="bankId" placeholder="銀行行號" maxlength="3" required>
          <div id="bankIdFeedback" class="invalid-feedback">不能為空白</div>
        </div>
        <div class="row">
          <div class="col-sm-9 mb-3">
            <label for="cardId" class="px-2 form-label">信用卡卡號<span style="color: red;">*</span></label>
            <div class="input-group" id="cardId">
              <input type="text" id="cardId1" class="form-control" maxlength="4">
              <span class="input-group-text">-</span>
              <input type="text" id="cardId2" class="form-control" maxlength="4">
              <span class="input-group-text">-</span>
              <input type="text" id="cardId3" class="form-control" maxlength="4">
              <span class="input-group-text">-</span>
              <input type="text" id="cardId4" class="form-control" maxlength="4">
            </div>
            <div id="cardIdFeedback" class="invalid-feedback">不能為空白</div>
          </div>
          <div class="col-sm mb-3">
            <label for="validationNum" class="px-2 form-label">驗證碼<span style="color: red;">*</span></label>
            <input type="text" class="form-control" id="validationNum" name="validationNum" placeholder="驗證碼" maxlength="3" required>
            <div id="validationNumFeedback" class="invalid-feedback">不能為空白</div>
          </div>
        </div>
        <div class="mb-3 col-md-4">
          <label for="goodThru" class="px-2 form-label">有效年月<span style="color: red;">*</span></label>
          <div class="input-group" id="goodThru">
            <input type="text" id="goodThru1" class="form-control" placeholder="月份" maxlength="2">
            <span class="input-group-text">/</span>
            <input type="text" id="goodThru2" class="form-control" placeholder="年分" maxlength="4">
          </div>
          <div id="goodThruFeedback" class="invalid-feedback">不能為空白</div>
        </div>
        <div class="d-flex justify-content-center">
          <button type="button" id="submit" class="btn btn-primary px-3">新增</button>
        </div>
      </form>
    </div>
  </div>

  <script src="/co_kitchen/statics/js/visa/add.js"></script>
  <script src="/co_kitchen/statics/js/header.js"></script>
</body>
</html>